LibreOffice: XWindowListener2 Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Member Functions | List of all members
XWindowListener2 Interface Reference

allows receive window-related events, additional to the ones received by an XWindowListener More...

`import"XWindowListener2.idl";`

Inheritance diagram for XWindowListener2:

## Public Member Functions
void | windowEnabled ([in] com::sun::star::lang::EventObject e)
| is called when the window has been enabled. More...
void | windowDisabled ([in] com::sun::star::lang::EventObject e)
| is called when the window has been disabled. More...
Public Member Functions inherited from XWindowListener
void | windowResized ([in] com::sun::star::awt::WindowEvent e)
| is invoked when the window has been resized. More...
void | windowMoved ([in] com::sun::star::awt::WindowEvent e)
| is invoked when the window has been moved. More...
void | windowShown ([in] com::sun::star::lang::EventObject e)
| is invoked when the window has been shown. More...
void | windowHidden ([in] com::sun::star::lang::EventObject e)
| is invoked when the window has been hidden. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows receive window-related events, additional to the ones received by an XWindowListener

## Member Function Documentation

## ◆ windowDisabled()

void windowDisabled | ( | [in] com::sun::star::lang::EventObject | e | ) |

is called when the window has been disabled.

## ◆ windowEnabled()

void windowEnabled | ( | [in] com::sun::star::lang::EventObject | e | ) |

is called when the window has been enabled.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XWindowListener2.idl